# ClassPerfLogEnsureSize

This ensures that a ClassPerfLog is at least of a certain size.

### Synopsis

    #include "petsc.h"
    PetscErrorCode ClassPerfLogEnsureSize(ClassPerfLog classLog, int size)

Not collective

### Input Paramters

| classLog | - The ClassPerfLog
| size | - The size

### Keywords

log, class, size, ensure

### See Also

ClassPerfLogCreate()

Level:intermediate
Location: src/sys/plog/utils/classLog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages